Subject: RE: (ngtrans) draft-wiljakka-3gpp-ipv6-transition-00.txt

From: "Karim El-Malki (EAB)" <[email-masked]>
Date: Wed, 17 Jul 2002 04:55:13 +0200

Maybe we need to look at the doc again to clarify this
but we do have cases where tunnelling from the UE is preferred
e.g. accessing IPv6-only services (i.e. IMS) when you're roaming
into a network which only supports IPv4 connections (PDP Contexts).
There are also cases where translation looks like the way to go
e.g. Communicating with an IPv4 node when using an IPv6-only
service (IMS) which mandates IPv6-only connections.
The recommendations probably need clarifying if they give
that impression, but regarding the tunnelling I think it was
meant to prefer the native connection (without tunnelling or
translation) rather than always recommending against tunnelling
and for translation.
/Karim

-----Original Message-----
From: Erik Nordmark
To: [email-masked]
Cc: [email-masked]
Sent: 2002-07-17 09:46
Subject: (ngtrans) draft-wiljakka-3gpp-ipv6-transition-00.txt

What I didn't get to say at the mike due to lack of time:

Perhaps I'm misreading the words in the recommendations in section 6:

    2) "IPv6 in IPv4" tunneling should mainly be handled in the 
    network, not in the UEs. 

    5) The IPv4 / IPv6 interworking should be mainly handled in the 
    network, not in the UEs. 

The above two points seem to say that translation is preferred over
tunneling.

I personally think the opposite is the case; tunneling, whether
involving
the UE or not should always be preferred over any translation scheme
(whether NAT*, SIIT, or ALGs), because translation approaches provides
an e2e IP path (whether it is an e2e IPv4 or an e2e IPv6 path).

  Erik

---

From: Erik Nordmark <[email-masked]>
Date: Wed, 17 Jul 2002 05:31:36 +0200 (CEST)

> translation) rather than always recommending against tunnelling

Thanks. In that case I think the issue is with the wording in the document.

  Erik